@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600;700&display=swap');

:root{
    --blue:#EF233C;
    --black:#000000;
    --white:#ffffff;
    --light-color:#131313;
    --box-shadow: 0 .5rem 1.5rem rgba(0,0,0,.1);
}

*{
    font-family: 'roboto', sans-serif;
    margin: 0;
    padding: 0;
    font-weight:bolder;
    box-sizing: border-box;
    text-decoration: none;
    outline: none;
    border: none;
    text-transform: capitalize;
    transition: all .2s linear;
    -webkit-tap-highlight-color: transparent;
}

body{
    background-color:var(--black);
}

html{
    font-size: 65%;
    overflow-x: hidden;
    scroll-padding-top:5.5rem;
}

section{
    padding: 2rem 9%;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 60px;
    background: var(--light-color);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1002;
}

.top-navbar {
    position: fixed;
    top: 55px;
    left: 0;
    width: 100%;
    background: var(--light-color);
    z-index: 1001;
}

header .logo img {
    height: 40px;
    display: block;
}

.icons {
    position: absolute;
}

.icons.left { left: 15px; }
.icons.right { right: 15px; }

header .icons i,
header .icons a{
    cursor: pointer;
    font-size: 1.7rem;
    color: #fff;
}

header .icons #menu-bars{
    display: left;
    margin-left: 0px;
}


.bottom-nav {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 60px;
  background: var(--light-color);
  display: flex;
  justify-content: space-around;
  align-items: center;
  z-index: 999;
}

.nav-item {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: #ccc;
  text-decoration: none;
  height: 100%;
  gap: 4px;
}

.nav-item span {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  line-height: 1;
}

.nav-item.active {
  color: var(--blue);
}

.center-logo {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.center-logo img {
  width: 45px;
  height: 45px;
  object-fit: contain;
}

.loading-screen {
  position: fixed;
  inset: 0;
  width: 100vw;
  height: 100vh;
  min-height: 100vh;

  background: linear-gradient(to bottom, #EF233C, #000);
  z-index: 9999;

  opacity: 1;
  visibility: visible;
  transition: opacity 0.6s ease;
}

.loading-logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: 220px;
  animation: logoFade 2.5s ease-in-out forwards;
}

.loading-spinner {
  position: absolute;
  left: 50%;
  bottom: env(safe-area-inset-bottom, 40px);
  transform: translateX(-50%);

  width: 28px;
  height: 28px;
  bottom: 28px;

  border: 4px solid #fff;
  border-top: 4px solid #EF233C;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: translateX(-50%) rotate(360deg);
  }
}

@keyframes logoFade {
  0% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.95);
  }
  50% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1.02);
  }
  100% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
  }
}

/* Mobile */
@media (max-width: 480px) {
  .loading-logo {
    width: 160px;
  }
}

body{
    display:flex;
    justify-content:center;
    align-items:center;
    min-height:90vh;
    font-family:Arial,Helvetica,sans-serif;
}

.poster{
    width:min(92vw,520px);
    aspect-ratio:4/5;
    position:relative;
    overflow:hidden;
    background:#fff;

}

@media(max-width:600px){

.poster{
    width:96vw;
}
}

@media(min-width:1200px){

.poster{
    width:500px;
}
}

.imageArea{
    position:absolute;
    inset:0;
}

.imageArea img{
    width:100%;
    height:100%;
    object-fit:cover;
}

.overlay::after{
    content:"";
    position:absolute;
    inset:auto 0 0 0;
    height:50%;

    background:linear-gradient(
        to bottom,
        rgba(0,0,0,0) 0%,
        rgba(0,0,0,.20) 15%,
        rgba(0,0,0,.55) 35%,
        rgba(0,0,0,.82) 55%,
        rgba(0,0,0,.95) 75%,
        rgba(0,0,0,.99) 90%,
        #000 100%
    );
}

.logotemp{
    position:absolute;
    top:5%;
    left:5%;
    width:18%;
    z-index:10;
}

.logotemp img{
    width:100%;
}

.content{
    position:absolute;
    bottom:7%;
    width:100%;
    display:flex;
    flex-direction:column;
    align-items:center;
    z-index:20;
    padding:0 8%;
}

.tag{
    background:#FF1E70;
    color:white;
    padding: 1.7% 4%;
    border-radius:999px;
    text-transform:uppercase;
    font-size:2.6vw;
    font-weight:700;
    margin-bottom:5%;
    letter-spacing:.3px;
}

@media(min-width:500px){

.tag{
font-size:15px;
}
}

.headline{
    width:100%;
    text-align:center;
    color:white;
    font-weight:900;
    text-transform:uppercase;
    line-height:1.18;
    font-size:4.5vw;
}

@media(min-width:500px){

.headline{
font-size:34px;
}
}

.bottomLine{
    position:absolute;
    left:0;
    bottom:0;
    width:100%;
    height:1.2%;
    background:#FF1E70;
    z-index:30;
}


.controlsBox{
    width:min(95vw,520px);
    margin:20px auto;
    background:#fff;
    border-radius:10px;
    padding:18px;
    box-shadow:0 8px 30px rgba(0,0,0,.08);
}

.categoryList{
    display:flex;
    gap:8px;
    overflow-x:auto;
    padding-bottom:10px;
    scrollbar-width:none;
}

.categoryList::-webkit-scrollbar{
    display:none;
}

.category{
    flex:none;
    border:none;
    padding:6px 15px;
    border-radius:25px;
    background:#efefef;
    font-weight:600;
    cursor:pointer;
    transition:.25s;
}

.category.active{
    background:#EF233C;
    color:#fff;
}

.bottomControls{
    margin-top:15px;
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.colorPicker{
    display:flex;
    gap:10px;
}

.color{
    width:30px;
    height:30px;
    border-radius:50%;
    cursor:pointer;
    border:3px solid transparent;
}

.color.active{
    border-color:#000;
}

.color:nth-child(1){background:#FF1E70;}
.color:nth-child(2){background:#FDC302;}
.color:nth-child(3){background:#00a827;}

#downloadBtn{
    border:none;
    background:#EF233C;
    color:#fff;
    padding:8px 20px;
    border-radius:30px;
    font-size:15px;
    font-weight:700;
    cursor:pointer;
    transition:.25s;
}

#shortsContent {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px;
  box-sizing: border-box;
}

.editor-area {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.shorts-poster {
  position: relative;
  width: 360px;
  height: 640px;
  margin-top: 65px;
  background-color: #fff;
  overflow: hidden;
}

.bg-layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  z-index: 1;
}

.bg-layer img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
}


.top-overlays {
  position: absolute;
  top: 3%;
  left: 0;
  width: 100%;
  box-sizing: border-box;
  padding: 0 16px;
  display: flex;
  flex-direction: row-reverse;
  justify-content: flex-start;
  align-items: flex-start;
  z-index: 5;
  pointer-events: none;
}


.poster-logo {
  display: flex;
  align-items: center;
}

.logo-img {
  height: auto;
  max-height: 65px;
  width: auto;
  object-fit: contain;
}

.news-section {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: auto; 
  min-height: 220px;
  z-index: 4;
  box-sizing: border-box;
  padding: 0px 0px 140px 20px; 
  display: flex;
  flex-direction: column;
  justify-content: flex-end; 
  pointer-events: none;
}

.news-section::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 450px; 
  z-index: -1;

  background: linear-gradient(
    to top,
    #000000 0%,
    #000000 30%,
    rgba(0, 0, 0, 0.985) 36.4%,
    rgba(0, 0, 0, 0.949) 42.4%,
    rgba(0, 0, 0, 0.893) 48.2%,
    rgba(0, 0, 0, 0.819) 53.6%,
    rgba(0, 0, 0, 0.730) 58.8%,
    rgba(0, 0, 0, 0.630) 63.8%,
    rgba(0, 0, 0, 0.523) 68.6%,
    rgba(0, 0, 0, 0.414) 73.4%,
    rgba(0, 0, 0, 0.309) 78.2%,
    rgba(0, 0, 0, 0.211) 83.2%,
    rgba(0, 0, 0, 0.126) 88.2%,
    rgba(0, 0, 0, 0.059) 93.4%,
    rgba(0, 0, 0, 0.016) 98.4%,
    rgba(0, 0, 0, 0.000) 100%
  );
}

.news-content-wrapper {
  display: flex;
  gap: 15px;
  align-items: stretch;
  position: relative;
  z-index: 5;
  pointer-events: auto; 
}

#newsLine {
  width: 3.5px;
  background-color: #FDC302;
  flex-shrink: 0;
}

.news-texts {
  display: flex;
  flex-direction: column;
  width: 90%;
}

.news-texts textarea {
  background: transparent;
  border: none;
  outline: none;
  resize: none;
  width: 100%;
  color: #ffffff;
  font-family: inherit;
  box-sizing: border-box;
  overflow: hidden;
  display: block;
  min-height: 1.5em;
  height: auto;
}

#headline {
  font-size: 20px;
  font-weight: 700;
  line-height: 1.35;
}

.shorts-ad-banner-overlay {
  position: absolute;
  left: 15px;
  right: 15px;
  bottom: 15px;
  height: 60px;
  background: #000;
  border-radius: 6px;
  overflow: hidden;
  z-index: 10;
  box-shadow: 0 4px 12px rgba(0,0,0,0.5);
}

.shorts-ad-banner-overlay img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.poster-bottom-divider {
  width: 360px;
  height: 3px;
  background-color: #FDC302;
}

.shortsControlsBox {
  width: min(95vw, 360px);
  margin: 20px auto;
  background: #ffffff;
  border-radius: 10px;
  padding: 10px;
  box-sizing: border-box;
  display: flex !important;
  justify-content: space-between !important;
  align-items: center !important;
}

.control-icons-group {
  display: flex !important;
  flex-direction: row !important;
  gap: 10px !important;
  flex-wrap: nowrap !important;
}


.audio-center-wrapper {
  border: 2px solid #EF233C;
  color: #EF233C;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.control-action-btn span{
    font-size: 22px;
}

.control-action-btn {
  color: #EF233C;
  border: none;
  outline: none;
  width: 35px;
  height: 35px;
  font-size: 21px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background-color 0.2s, color 0.2s, transform 0.1s;
}

.download-right-wrapper {
  display: flex;
  justify-content: flex-end;
}

#InstallBtn {
  border: none;
  background: #EF233C;
  color: #ffffff;
  padding: 10px 22px;
  border-radius: 30px;
  font-size: 14px;
  font-weight: 700;
  cursor: pointer;
  transition: background-color 0.2s, transform 0.1s;
}

.thumbnail-app-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 20px 10px;
  width: 100%;
}

.thumbnail-card-16-9 {
  position: relative;
  width: 385px;
  max-width: 640px;
  aspect-ratio: 16 / 9;
  height: auto;
  overflow: hidden;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.6);
  background-color: #000;
  user-select: none;
  margin-top: -325px;
}

.thumbnail-card-16-9 .bg-layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.thumbnail-card-16-9 .bg-layer img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.thumb-top-banner {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 12%;
  background-color: #c2004d;
  z-index: 5;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 2%;
}

.thumb-top-banner span {
  color: #ffffff;
  font-size: clamp(12px, 3.4vw, 22px);
  font-weight: 800;
  text-align: center;
  white-space: nowrap;
  outline: none;
  line-height: 1;
}

.thumb-center-badge {
  position: absolute;
  top: 58%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: rgba(0, 0, 0, 0.85);
  border-radius: 4px;
  padding: 0.8% 2.2%;
  z-index: 6;
  white-space: nowrap;
}

.thumb-center-badge span {
  color: #ffffff;
  font-size: clamp(9px, 2.5vw, 16px);
  font-weight: 900;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  outline: none;
  line-height: 1;
}

.thumb-main-headline-box {
  position: absolute;
  bottom: 5%;
  left: 0%;
  right: 13%;
  background-color: #ffcc00;
  padding: 1.5% 1%;
  z-index: 5;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  display: flex;
  align-items: left;
  justify-content: left;
}

.thumb-main-headline-box textarea {
  width: 100%;
  border: none;
  background: transparent;
  color: #000000;
  font-size: clamp(12px, 3.1vw, 20px);
  font-weight: 900;
  text-align: center;
  resize: none;
  outline: none;
  font-family: inherit;
  line-height: 1.2;
  overflow: hidden;
}

.thumb-bottom-banner {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 12%;
  background-color: #c2004d;
  z-index: 5;
  display: flex;
  align-items: center;
  justify-content: left;
  padding: 3% 3%;
}

.thumb-bottom-banner span {
  color: #ffffff;
  font-size: clamp(10px, 2.8vw, 18px);
  font-weight: 700;
  text-align: center;
  white-space: nowrap;
  outline: none;
  line-height: 1;
}

.thumbnail-controls {
  display: flex;
  align-items: center;
  gap: 15px;
}

.primary-download-btn {
  background-color: var(--blue);
  color: #ffffff;
  border: none;
  padding: 12px 24px;
  font-size: 16px;
  font-weight: 700;
  border-radius: 50px;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 8px;
}